{
  config,
  pkgs,
  lib,
  ...
}: {
  boot = {
    loader = {
      grub = {
        enable = true;
        device = "/dev/sda";
        efiSupport = true;
        efiInstallAsRemovable = true;
      };
      efi = {
        efiSysMountPoint = "/boot/efi";
      };
    };
    initrd.availableKernelModules = ["ata_piix" "virtio_pci" "virtio_scsi" "virtio_blk"];
  };

  swapDevices = [
    {
      device = "/swap";
      size = 2048;
    }
  ];

  # Enable Podman OCI container support
  virtualisation = {
    podman = {
      enable = true;
      dockerCompat = true;
      defaultNetwork.settings = {
        dns_enabled = true;
        ipv6_enabled = true;
        subnets = [
          {
            subnet = "10.88.0.0/16";
            gateway = "10.88.0.1";
          }
          {
            subnet = "fd00:dead:beef::/48";
            gateway = "fd00:dead:beef::1";
          }
        ];
      };
    };
    oci-containers.backend = "podman";
  };
}
